## Apache Zeta Components Manual :: Docs For Class ezcMailDeliveryStatus

### Mail::ezcMailDeliveryStatus

### Class ezcMailDeliveryStatus

Mail part used for sending delivery status message.

Multipart/Report: RFC 3462 http://tools.ietf.org/html/rfc3462 Delivery Status Notifications: RFC 3464 http://tools.ietf.org/html/rfc3464

This mail part consists of only headers. The headers are organized into section. There is a per-message section ($message), and several per-recipient sections ($recipients).

To access the headers of this part, look at the following example:

1. // $delivery is an object of type ezcMailDeliveryStatus
2. $reportingMta=$delivery->message["Reporting-MTA"];
3. $date=$delivery->message["Arrival-Date"];
4. // get the status received from the first recipient
5. $status1=$delivery->recipients[0]["Status"];
6. // get the status received from the second recipient
7. $status2=$delivery->recipients[1]["Status"];

Source for this file: /Mail/src/parts/delivery_status.php

    ezcMailPart
       |
       --ezcMailDeliveryStatus

Version: | //autogen//

### Properties

ezcMailHeadersHolder | read/write | `$message` Holds the per-message headers of the delivery-status message.
ArrayObject(ezcMailHeadersHolder) | read/write | `$recipients` Holds the recipients of the delivery-status message.

### Inherited Member Variables

From ezcMailPart
protected | `ezcMailPart::$properties`

### Method Summary

public ezcMailDeliveryStatus | `__construct( )` Constructs a new DeliveryStatus part.
public int | `createRecipient( )` Adds a new recipient to this delivery-status message and returns the index of the last added recipient.
public string | `generateBody( )` Returns the generated text body of this part as a string.
public string | `generateHeaders( )` Returns the headers set for this part as a RFC822 compliant string.

### Inherited Methods

From ezcMailPart
public ezcMailPart | `ezcMailPart::__construct()` Constructs a new mail part.
public void | `ezcMailPart::appendExcludeHeaders()` The array $headers will be excluded when the headers are generated.
public string | `ezcMailPart::generate()` Returns the complete mail part including both the header and the body as a string.
public abstract string | `ezcMailPart::generateBody()` Returns the body of this part as a string.
public string | `ezcMailPart::generateHeaders()` Returns the headers set for this part as a RFC 822 string.
public mixed | `ezcMailPart::getHeader()` Returns the RAW value of the header $name.
protected string | `ezcMailPart::getHeaderCharset()` Returns the charset registered for the header $name.
public void | `ezcMailPart::setHeader()` Sets the header $name to the value $value and its charset to $charset.
protected void | `ezcMailPart::setHeaderCharset()` Sets the charset of the header $name to $value.
public void | `ezcMailPart::setHeaders()` Adds the headers $headers.

### Methods

#### __construct

ezcMailDeliveryStatus __construct( )

Constructs a new DeliveryStatus part.

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::__construct()` | Constructs a new mail part.

#### createRecipient

int createRecipient( )

Adds a new recipient to this delivery-status message and returns the index of the last added recipient.

#### generateBody

string generateBody( )

Returns the generated text body of this part as a string.

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::generateBody()` | Returns the body of this part as a string.

#### generateHeaders

string generateHeaders( )

Returns the headers set for this part as a RFC822 compliant string.

This method does not add the required two lines of space to separate the headers from the body of the part.

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::generateHeaders()` | Returns the headers set for this part as a RFC 822 string.

Documentation generated by phpDocumentor 1.4.3